> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List LiveKit Audio-to-Video Sessions

> List LiveKit speech-to-video sessions.



## OpenAPI

````yaml /openapi.json get /v1/sessions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.bey.dev
security: []
paths:
  /v1/sessions:
    get:
      tags:
        - Sessions
      summary: List LiveKit Audio-to-Video Sessions
      description: List LiveKit speech-to-video sessions.
      operationId: list_sessions_v1_sessions_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            exclusiveMinimum: 0
            description: Maximum number of objects to return.
            default: 10
            title: Limit
          description: Maximum number of objects to return.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination.
            title: Cursor
          description: Cursor for pagination.
      responses:
        '200':
          description: Paginated List of LiveKit Audio-to-Video Sessions
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HasMorePage_SessionResponse_'
                  - $ref: '#/components/schemas/NoMorePage_SessionResponse_'
                title: Response List Sessions V1 Sessions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HasMorePage_SessionResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SessionResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: true
          title: Has More
          description: Whether there are more objects to fetch.
          default: true
        next_cursor:
          type: string
          title: Next Cursor
          description: The cursor for the next page of objects.
      type: object
      required:
        - data
        - next_cursor
      title: HasMorePage[SessionResponse]
    NoMorePage_SessionResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SessionResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: false
          title: Has More
          description: Whether there are more objects to fetch.
          default: false
      type: object
      required:
        - data
      title: NoMorePage[SessionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionResponse:
      oneOf:
        - $ref: '#/components/schemas/LivekitSessionResponse'
        - $ref: '#/components/schemas/PipecatSessionResponse'
      discriminator:
        propertyName: transport
        mapping:
          livekit:
            $ref: '#/components/schemas/LivekitSessionResponse'
          pipecat:
            $ref: '#/components/schemas/PipecatSessionResponse'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LivekitSessionResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        transport:
          type: string
          const: livekit
          title: Transport
          default: livekit
        avatar_id:
          type: string
          title: Avatar Id
          description: ID of avatar to use.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        status:
          $ref: '#/components/schemas/SessionStatus'
        url:
          type: string
          title: Url
          description: URL of LiveKit server the avatar worker should connect to.
          examples:
            - wss://<your-domain>.livekit.cloud
      type: object
      required:
        - id
        - avatar_id
        - status
        - url
      title: LivekitSessionResponse
      description: Response body for a LiveKit speech-to-video session.
    PipecatSessionResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        transport:
          type: string
          const: pipecat
          title: Transport
          default: pipecat
        avatar_id:
          type: string
          title: Avatar Id
          description: ID of avatar to use.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        status:
          $ref: '#/components/schemas/SessionStatus'
        url:
          type: string
          title: Url
          description: URL of Daily room the video bot should connect to.
          examples:
            - wss://<your-domain>.pipecat.cloud
      type: object
      required:
        - id
        - avatar_id
        - status
        - url
      title: PipecatSessionResponse
      description: Response body for a Pipecat speech-to-video session.
    SessionStatus:
      oneOf:
        - $ref: '#/components/schemas/SessionStatusToStart'
        - $ref: '#/components/schemas/SessionStatusOngoing'
        - $ref: '#/components/schemas/SessionStatusCompleted'
      discriminator:
        propertyName: type
        mapping:
          completed:
            $ref: '#/components/schemas/SessionStatusCompleted'
          ongoing:
            $ref: '#/components/schemas/SessionStatusOngoing'
          to_start:
            $ref: '#/components/schemas/SessionStatusToStart'
    SessionStatusToStart:
      properties:
        type:
          type: string
          const: to_start
          title: Type
          default: to_start
      type: object
      title: SessionStatusToStart
      description: Session that has not yet started.
    SessionStatusOngoing:
      properties:
        type:
          type: string
          const: ongoing
          title: Type
          default: ongoing
        started_at:
          type: string
          title: Started At
          description: Start time in ISO 8601 format.
          examples:
            - '2022-01-01T00:00:00Z'
      type: object
      required:
        - started_at
      title: SessionStatusOngoing
      description: Session that is currently ongoing.
    SessionStatusCompleted:
      properties:
        type:
          type: string
          const: completed
          title: Type
          default: completed
        started_at:
          type: string
          title: Started At
          description: Start time in ISO 8601 format.
          examples:
            - '2022-01-01T00:00:00Z'
        ended_at:
          type: string
          title: Ended At
          description: End time in ISO 8601 format.
          examples:
            - '2022-01-01T00:00:00Z'
      type: object
      required:
        - started_at
        - ended_at
      title: SessionStatusCompleted
      description: Session that has completed.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````